<?php

/**
 * Fonts Settings
 *
 * @package Bootstrap Blog
 */
add_action( 'customize_register', 'bootstrap_blog_customize_register_fonts_section' );
function bootstrap_blog_customize_register_fonts_section( $wp_customize )
{
    $wp_customize->add_section( 'bootstrap_blog_fonts_section', array(
        'title'       => esc_html__( 'Fonts', 'bootstrap-blog' ),
        'description' => esc_html__( 'Fonts :', 'bootstrap-blog' ),
        'panel'       => 'bootstrap_blog_general_panel',
        'priority'    => 2,
    ) );
}

add_action( 'customize_register', 'bootstrap_blog_customize_font_family' );
function bootstrap_blog_customize_font_family( $wp_customize )
{
    $wp_customize->add_setting( 'more_font_options', array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => '',
    ) );
    $wp_customize->add_control( new Bootstrap_Blog_Custom_Text( $wp_customize, 'more_font_options', array(
        'label'    => esc_html__( 'Upgrade to Pro for Font Options.', 'bootstrap-blog' ),
        'section'  => 'bootstrap_blog_fonts_section',
        'settings' => 'more_font_options',
        'type'     => 'customtext',
    ) ) );
}
