<?php

/**
 * Drag & Drop Sections
 *
 * @package Bootstrap Blog
 */
add_action( 'customize_register', 'bootstrap_blog_drag_and_drop_sections' );
function bootstrap_blog_drag_and_drop_sections( $wp_customize )
{
    $wp_customize->add_section( 'bootstrap_blog_sort_homepage_sections', array(
        'title'       => esc_html__( 'Drag & Drop', 'bootstrap-blog' ),
        'description' => esc_html__( 'Drag & Drop', 'bootstrap-blog' ),
        'panel'       => 'bootstrap_blog_theme_options_panel',
        'priority'    => 6,
    ) );
    $wp_customize->add_setting( 'more_drag_options', array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => '',
    ) );
    $wp_customize->add_control( new Bootstrap_Blog_Custom_Text( $wp_customize, 'more_drag_options', array(
        'label'    => esc_html__( 'Upgrade to Pro for Drag & Drop Option.', 'bootstrap-blog' ),
        'section'  => 'bootstrap_blog_sort_homepage_sections',
        'settings' => 'more_drag_options',
        'type'     => 'customtext',
    ) ) );
}
